package hn

import (
	"math"
	"time"

	"github.com/hako/durafmt"
)

func timeDiffHuman(first time.Time, second time.Time) string {
	if first.Before(second) {
		return durafmt.ParseShort(second.Sub(first)).String()
	} else {
		return durafmt.ParseShort(first.Sub(second)).String()
	}
}

func timeDiffAbsSeconds(first time.Time, second time.Time) uint {
	return uint(math.Abs(first.Sub(second).Truncate(time.Second).Seconds()))
}
